Create a table in the project's database
curl --request POST \
--url https://app.ohmyho.st/v1/projects/{project_id}/database/tables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"environment": "dev",
"table": "orders",
"columns": [
{
"name": "id",
"type": "bigint",
"nullable": false,
"identity": true
},
{
"name": "total",
"type": "numeric"
}
],
"primary_key": [
"id"
]
}
'import requests
url = "https://app.ohmyho.st/v1/projects/{project_id}/database/tables"
payload = {
"environment": "dev",
"table": "orders",
"columns": [
{
"name": "id",
"type": "bigint",
"nullable": False,
"identity": True
},
{
"name": "total",
"type": "numeric"
}
],
"primary_key": ["id"]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
environment: 'dev',
table: 'orders',
columns: [
{name: 'id', type: 'bigint', nullable: false, identity: true},
{name: 'total', type: 'numeric'}
],
primary_key: ['id']
})
};
fetch('https://app.ohmyho.st/v1/projects/{project_id}/database/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.ohmyho.st/v1/projects/{project_id}/database/tables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'environment' => 'dev',
'table' => 'orders',
'columns' => [
[
'name' => 'id',
'type' => 'bigint',
'nullable' => false,
'identity' => true
],
[
'name' => 'total',
'type' => 'numeric'
]
],
'primary_key' => [
'id'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.ohmyho.st/v1/projects/{project_id}/database/tables"
payload := strings.NewReader("{\n \"environment\": \"dev\",\n \"table\": \"orders\",\n \"columns\": [\n {\n \"name\": \"id\",\n \"type\": \"bigint\",\n \"nullable\": false,\n \"identity\": true\n },\n {\n \"name\": \"total\",\n \"type\": \"numeric\"\n }\n ],\n \"primary_key\": [\n \"id\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.ohmyho.st/v1/projects/{project_id}/database/tables")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"environment\": \"dev\",\n \"table\": \"orders\",\n \"columns\": [\n {\n \"name\": \"id\",\n \"type\": \"bigint\",\n \"nullable\": false,\n \"identity\": true\n },\n {\n \"name\": \"total\",\n \"type\": \"numeric\"\n }\n ],\n \"primary_key\": [\n \"id\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.ohmyho.st/v1/projects/{project_id}/database/tables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"environment\": \"dev\",\n \"table\": \"orders\",\n \"columns\": [\n {\n \"name\": \"id\",\n \"type\": \"bigint\",\n \"nullable\": false,\n \"identity\": true\n },\n {\n \"name\": \"total\",\n \"type\": \"numeric\"\n }\n ],\n \"primary_key\": [\n \"id\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"table": {
"environment": "dev",
"schema": "public",
"table": "<string>",
"columns": [
{
"name": "<string>",
"type": "text",
"nullable": true,
"identity": true,
"default": "now"
}
],
"primary_key": [
"<string>"
],
"created": true
}
}{
"table": {
"environment": "dev",
"schema": "public",
"table": "<string>",
"columns": [
{
"name": "<string>",
"type": "text",
"nullable": true,
"identity": true,
"default": "now"
}
],
"primary_key": [
"<string>"
],
"created": true
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "https://docs.ohmyho.st/errors/resource-not-found",
"title": "Resource not found",
"status": 404,
"code": "resource_not_found",
"request_id": "req_01J00000000000000000000000",
"retryable": false,
"suggested_action": "Check the resource identifier and your access scope."
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}API Reference
Create a table in the project's database
Creates one ordinary table in the public schema of one environment’s database, with the columns and the primary key the request names. Repeating an identical request answers the existing table with 200; a table of the same name with another definition is refused with database_table_conflict (409). The request wakes a sleeping database. A reached Stop budget refuses with project_budget_exceeded (402). At most 100 tables exist per database.
POST
/
v1
/
projects
/
{project_id}
/
database
/
tables
Create a table in the project's database
curl --request POST \
--url https://app.ohmyho.st/v1/projects/{project_id}/database/tables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"environment": "dev",
"table": "orders",
"columns": [
{
"name": "id",
"type": "bigint",
"nullable": false,
"identity": true
},
{
"name": "total",
"type": "numeric"
}
],
"primary_key": [
"id"
]
}
'import requests
url = "https://app.ohmyho.st/v1/projects/{project_id}/database/tables"
payload = {
"environment": "dev",
"table": "orders",
"columns": [
{
"name": "id",
"type": "bigint",
"nullable": False,
"identity": True
},
{
"name": "total",
"type": "numeric"
}
],
"primary_key": ["id"]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
environment: 'dev',
table: 'orders',
columns: [
{name: 'id', type: 'bigint', nullable: false, identity: true},
{name: 'total', type: 'numeric'}
],
primary_key: ['id']
})
};
fetch('https://app.ohmyho.st/v1/projects/{project_id}/database/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.ohmyho.st/v1/projects/{project_id}/database/tables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'environment' => 'dev',
'table' => 'orders',
'columns' => [
[
'name' => 'id',
'type' => 'bigint',
'nullable' => false,
'identity' => true
],
[
'name' => 'total',
'type' => 'numeric'
]
],
'primary_key' => [
'id'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.ohmyho.st/v1/projects/{project_id}/database/tables"
payload := strings.NewReader("{\n \"environment\": \"dev\",\n \"table\": \"orders\",\n \"columns\": [\n {\n \"name\": \"id\",\n \"type\": \"bigint\",\n \"nullable\": false,\n \"identity\": true\n },\n {\n \"name\": \"total\",\n \"type\": \"numeric\"\n }\n ],\n \"primary_key\": [\n \"id\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.ohmyho.st/v1/projects/{project_id}/database/tables")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"environment\": \"dev\",\n \"table\": \"orders\",\n \"columns\": [\n {\n \"name\": \"id\",\n \"type\": \"bigint\",\n \"nullable\": false,\n \"identity\": true\n },\n {\n \"name\": \"total\",\n \"type\": \"numeric\"\n }\n ],\n \"primary_key\": [\n \"id\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.ohmyho.st/v1/projects/{project_id}/database/tables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"environment\": \"dev\",\n \"table\": \"orders\",\n \"columns\": [\n {\n \"name\": \"id\",\n \"type\": \"bigint\",\n \"nullable\": false,\n \"identity\": true\n },\n {\n \"name\": \"total\",\n \"type\": \"numeric\"\n }\n ],\n \"primary_key\": [\n \"id\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"table": {
"environment": "dev",
"schema": "public",
"table": "<string>",
"columns": [
{
"name": "<string>",
"type": "text",
"nullable": true,
"identity": true,
"default": "now"
}
],
"primary_key": [
"<string>"
],
"created": true
}
}{
"table": {
"environment": "dev",
"schema": "public",
"table": "<string>",
"columns": [
{
"name": "<string>",
"type": "text",
"nullable": true,
"identity": true,
"default": "now"
}
],
"primary_key": [
"<string>"
],
"created": true
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "https://docs.ohmyho.st/errors/resource-not-found",
"title": "Resource not found",
"status": 404,
"code": "resource_not_found",
"request_id": "req_01J00000000000000000000000",
"retryable": false,
"suggested_action": "Check the resource identifier and your access scope."
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}Authorizations
Headers
Body
application/json